diff --git a/config/cron/crontab b/config/cron/crontab
index 3d5917914..88e40b5d8 100644
--- a/config/cron/crontab
+++ b/config/cron/crontab
@@ -6,6 +6,14 @@ PATH=/sbin:/bin:/usr/sbin:/usr/bin
MAILTO=root
HOME=/
+# Do all jobs in this directories
+*/1 * * * * test -x /usr/local/bin/run-parts && /usr/local/bin/run-parts /etc/fcron.minutely
+*/5 * * * * test -x /usr/local/bin/run-parts && /usr/local/bin/run-parts /etc/fcron.cyclic
+01 * * * * test -x /usr/local/bin/run-parts && /usr/local/bin/run-parts /etc/fcron.hourly
+25 1 * * * test -x /usr/local/bin/run-parts && /usr/local/bin/run-parts /etc/fcron.daily
+47 2 * * 0 test -x /usr/local/bin/run-parts && /usr/local/bin/run-parts /etc/fcron.weekly
+52 3 1 * * test -x /usr/local/bin/run-parts && /usr/local/bin/run-parts /etc/fcron.monthly
+
# Log rotation
01 * * * * /usr/sbin/logrotate /etc/logrotate.conf
diff --git a/doc/packages-list.txt b/doc/packages-list.txt
index 136fcb3e8..85cfcc631 100644
--- a/doc/packages-list.txt
+++ b/doc/packages-list.txt
@@ -35,6 +35,7 @@
* arping-2.05
* as86-0.16.17
* asterisk-1.2.9.1
+ * asterisk-1.2.9.1
* autoconf-2.59
* automake-1.8.4
* bash-2.05b
diff --git a/html/cgi-bin/qos.cgi b/html/cgi-bin/qos.cgi
index 094cd8735..29e449ce8 100644
--- a/html/cgi-bin/qos.cgi
+++ b/html/cgi-bin/qos.cgi
@@ -873,13 +873,34 @@ END
$classline[4]
| $classline[5]
| $classline[6]
- |
-
-
-
-
-
-
+ |
+
END
;
foreach $subclassentry (sort @subclasses)
@@ -922,13 +943,34 @@ END
| $classline[4]
| $classline[5]
| $classline[6]
- |
-
-
-
-
-
-
+ |
+
END
;
foreach $subclassentry (sort @subclasses)
@@ -987,16 +1029,26 @@ END
if ( $l7ruleline[1] eq $qossettings{'RED_DEV'} )
{
print <
| $l7ruleline[1]
| $l7ruleline[0]
| $l7ruleline[2]
| $l7ruleline[3]
| $l7ruleline[4]
- |
-
-
-
+ |
+
END
;
}
@@ -1014,10 +1066,21 @@ END
| $l7ruleline[2]
| $l7ruleline[3]
| $l7ruleline[4]
- |
-
-
-
+ |
+
END
;
}
diff --git a/lfs/fcron b/lfs/fcron
index 4bf0420d4..4f2589fb6 100644
--- a/lfs/fcron
+++ b/lfs/fcron
@@ -87,6 +87,8 @@ $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
echo "root" > /etc/fcron.allow
echo "all" > /etc/fcron.deny
chmod u-s /usr/bin/fcrontab /usr/bin/fcronsighup
+ mkdir -p /etc/fcron.minutely /etc/fcron.cyclic /etc/fcron.hourly \
+ /etc/fcron.daily /etc/fcron.weekly /etc/fcron.monthly
/usr/bin/fcrontab $(DIR_SRC)/config/cron/crontab
@rm -rf $(DIR_APP)
@$(POSTBUILD)
diff --git a/src/ROOTFILES.i386 b/src/ROOTFILES.i386
index b469d1c5f..3ac7cd337 100644
--- a/src/ROOTFILES.i386
+++ b/src/ROOTFILES.i386
@@ -1377,6 +1377,7 @@ usr/local/bin/rcgnump3d
usr/local/bin/rcnfs-server
usr/local/bin/rcpostfix
usr/local/bin/rcwinbind
+usr/local/bin/run-parts
#usr/local/doc
#usr/local/etc
#usr/local/include
@@ -14138,6 +14139,7 @@ usr/lib/perl5/5.8.5/unicore/Name.pl
#usr/lib/perl5/5.8.5/unicore/PropValueAliases.txt
#usr/lib/perl5/5.8.5/unicore/Properties
#usr/lib/perl5/5.8.5/unicore/PropertyAliases.txt
+usr/lib/perl5/5.8.5/unicore/PVA.pl
#usr/lib/perl5/5.8.5/unicore/README.perl
#usr/lib/perl5/5.8.5/unicore/ReadMe.txt
#usr/lib/perl5/5.8.5/unicore/Scripts.txt
diff --git a/src/rc.d/rc.halt b/src/rc.d/rc.halt
index 9c8c7a66f..5661959ac 100644
--- a/src/rc.d/rc.halt
+++ b/src/rc.d/rc.halt
@@ -10,11 +10,15 @@ progressbar()
echo "Usage: progressbar {progress}"
exit 1
fi
- echo "show $(( 65534 * $1 / 9 ))" > /proc/splash
+ if [ -e /proc/splash ]; then
+ echo "show $(( 65534 * $1 / 9 ))" > /proc/splash
+ fi
}
# Set bootsplash
progressbar 9
-echo "silent" > /proc/splash
+if [ -e /proc/splash ]; then
+ echo "silent" > /proc/splash
+fi
echo "Stopping the RED interface..."
progressbar 8
diff --git a/src/rc.d/rc.sysinit b/src/rc.d/rc.sysinit
index 77660504a..1524f995f 100644
--- a/src/rc.d/rc.sysinit
+++ b/src/rc.d/rc.sysinit
@@ -19,7 +19,9 @@ progressbar()
echo "Usage: progressbar {progress}"
exit 1
fi
- echo "show $(( 65534 * $1 / $NUMBEROFSCRIPTS ))" > /proc/splash
+ if [ -e /proc/splash ]; then
+ echo "show $(( 65534 * $1 / $NUMBEROFSCRIPTS ))" > /proc/splash
+ fi
}
echo "Mounting /proc filesystem"
diff --git a/src/scripts/run-parts b/src/scripts/run-parts
new file mode 100644
index 000000000..dd6b59b3e
--- /dev/null
+++ b/src/scripts/run-parts
@@ -0,0 +1,49 @@
+#!/bin/sh
+# run-parts: Runs all the scripts found in a directory.
+
+# keep going when something fails
+set +e
+
+if [ $# -lt 1 ]; then
+ echo "Usage: run-parts "
+ exit 1
+fi
+
+if [ ! -d $1 ]; then
+ echo "Not a directory: $1"
+ echo "Usage: run-parts "
+ exit 1
+fi
+
+# There are several types of files that we would like to
+# ignore automatically, as they are likely to be backups
+# of other scripts:
+IGNORE_SUFFIXES="~ ^ , .bak .new .rpmsave .rpmorig .rpmnew .swp"
+
+# Main loop:
+for SCRIPT in $1/* ; do
+ # If this is not a regular file, skip it:
+ if [ ! -f $SCRIPT ]; then
+ continue
+ fi
+ # Determine if this file should be skipped by suffix:
+ SKIP=false
+ for SUFFIX in $IGNORE_SUFFIXES ; do
+ if [ ! "`basename $SCRIPT $SUFFIX`" = "`basename $SCRIPT`" ]; then
+ SKIP=true
+ break
+ fi
+ done
+ if [ "$SKIP" = "true" ]; then
+ continue
+ fi
+ # If we've made it this far, then run the script if it's executable:
+ if [ -x $SCRIPT ]; then
+ echo "$SCRIPT:"
+ echo
+ $SCRIPT 2>&1
+ echo
+ fi
+done
+
+exit 0
| |